Page MenuHomePhabricator

Convert CentralAuth extension.json to manifest_version 2
Closed, ResolvedPublic

Description

CentralAuth should be converted to use manifest version 2 in its extension.json file.

In extension manifest version 1, documentation was made like this:

	"config": {
		"@doc": "see CentralAuth.php",
		"CentralAuthDatabase": "centralauth",
		"CentralAuthAutoMigrate": false,
         }

This documentation can now be done with "description" and "value" fields available in manifest_version: 2 like this:

	"config": {
             "CentralAuthDatabase": {
		  "description": "see CentralAuth.php",
		  "value": "centralauth",
              }
              "CentralAuthAutoMigrate": { 
                  "value": false,
              }
	},

The maintenance script maintenance/updateExtensionJsonSchema.php semi-automates this conversion and is recommended to be used

Event Timeline

Ammarpad created this task.Dec 20 2019, 5:03 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 20 2019, 5:03 AM
Ammarpad updated the task description. (Show Details)Dec 20 2019, 7:11 AM
Majavah claimed this task.Dec 31 2019, 1:51 PM
Restricted Application added a project: User-Majavah. · View Herald TranscriptDec 31 2019, 1:51 PM

Change 561287 had a related patch set uploaded (by Majavah; owner: Majavah):
[mediawiki/extensions/CentralAuth@master] Convert CentralAuth extension.json to manifest_version 2

https://gerrit.wikimedia.org/r/561287

Change 561287 merged by jenkins-bot:
[mediawiki/extensions/CentralAuth@master] Convert CentralAuth extension.json to manifest_version 2

https://gerrit.wikimedia.org/r/561287

Ammarpad closed this task as Resolved.Jan 1 2020, 1:03 AM